Redmine - Patch #38360

Do not apply table-layout:fixed in potentially wide tables of detailed issue reports

2023-03-15 14:53 - Holger Just

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done:
Category: Ul - Responsive Estimated time:
Target version: 5.1.0

Description

In the detailed issue reports (e.g here), the table can become very wide if there are a lot of statuses. As the table is marked as

class=issue-report, it is rendered with

table.issue-report {
table-layout: fixed;
}

This results in the table columns to overlap if there are a lot of statuses. On can just barely observe the issue even on redmine.org

when reducing the width of the browser window on the above linked page.

The attached patch changes the class of the table in the detailed reports to render the table with a default table layout instead, so

that the table is readable even with a lot of statuses. The patch was extracted from Planio

Associated revisions

Revision 22142 - 2023-03-22 05:02 - Go MAEDA

Do not apply table-layout:fixed in potentially wide tables of detailed issue reports (#38360).

Patch by Holger Just.

Revision 22143 - 2023-03-23 04:25 - Go MAEDA
Fix a failing test due to r22142 (#38360).

History

#1 - 2023-03-15 14:56 - Holger Just
- File deleted (0001-Do-not-apply-table-layout-fixed-in-potentially-wide-.patch)

#2 - 2023-03-15 14:56 - Holger Just
- File 0001-Do-not-apply-table-layout-fixed-in-potentially-wide-.patch added

#3 - 2023-03-16 02:26 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#4 - 2023-03-22 05:02 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

Files

0001-Do-not-apply-table-layout-fixed-in-potentially-wide-.patch 809 Bytes

2025-05-17

2023-03-15

Holger Just

1/1



https://www.redmine.org/projects/redmine/issues/report/tracker
https://plan.io/redmine-hosting/
http://www.tcpdf.org

